package com.apobates.forum.event.elderly;

/**
 * 会员请求描述符
 *
 * @author xiaofanku
 * @since 20200510
 */
public interface MemberActionDescriptor {
    /**
     * 请求标识符
     *
     * @return
     */
    String getToken();
    
    /**
     * 来源
     *
     * @return
     */
    String getReferrer();
    
    /**
     * 设备,Google Nexus 6
     *
     * @return
     */
    String getDevice();
    
    /**
     * 代理,Chrome
     *
     * @return
     */
    String getAgent();
    /**
     * Ip位置信息
     * 
     * @return 
     */
    IpLocation location();
}